Home > Installation, Security > Perl Error installing csf firewall in directadmin

Perl Error installing csf firewall in directadmin

August 31st, 2012 Leave a comment Go to comments

Perl error while installing csf in directadmin :┬áCan’t locate LWP/UserAgent.pm

While installing csf in linux directadmin server it will through below error message.

Checking Perl modules…
Can’t locate LWP/UserAgent.pm in @INC (@INC contains: /etc/csf /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/5.8.8 .) at (eval 19) line 2.
BEGIN failed–compilation aborted at (eval 19) line 2.
Using configuration defaults

 

Solution:

yum search perl-libwww-perl

If package is available the install it using yum

yum install perl-libwww-perl

 

Categories: Installation, Security Tags:
  1. No comments yet.
  1. No trackbacks yet.
You must be logged in to post a comment.